Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.0.4
Release: 1
Group: Applications/Text
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.gnu.org/gnu/gawk-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/gawk-%{version}-ps.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.


%prep
%setup -q -b 1


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s MAKEINFO="makeinfo --no-split" \
	./configure --prefix=/usr
make
gzip -9f doc/{awkcard.ps,gawk.ps}


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info

# Replace duplicated executable with symlink.
ln -sf gawk-3.0.4 $RPM_BUILD_ROOT/usr/bin/gawk
# gawk should go under /bin
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/bin/
ln -sf ../../bin/gawk $RPM_BUILD_ROOT/usr/bin/awk 
ln -sf ../../bin/gawk $RPM_BUILD_ROOT/usr/bin/gawk 


%post
/sbin/install-info /usr/info/gawk.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gawk.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENT COPYING ChangeLog FUTURES INSTALL LIMITATIONS NEWS
%doc PORTS POSIX.STD PROBLEMS README README_d
%doc doc/gawk.ps.gz doc/awkcard.ps.gz
/bin/*
/usr/bin/*
/usr/info/*
/usr/libexec/awk
/usr/man/man*/*
/usr/share/awk


%clean
rm -rf $RPM_BUILD_ROOT

